Subject: RE: RSVP-TE ERO Processing

From: Girish Bhat <[email-masked]>
Date: Thu, 4 Oct 2001 11:47:34 -0700

I don't think the ERO needs to be processed with every refresh. When the ERO
changes, the source node creates a new path message with the same session id
but a different lsp id. Note that path refreshes are sent along the old path
with the old lsp id till the new path gets established. Once the resv
message comes back along the new path, the old path is torn.

Girish

> -----Original Message-----
> From: Khuzema Pithewan [mailto:[email-masked]]
> Sent: Tuesday, October 02, 2001 5:13 AM
> Cc: [email-masked]
> Subject: RSVP-TE ERO Processing
> 
> 
> Hi,
> 
> I have  few question related to ERO Processing...
> 
> 1. Does ERO Processing done each time when Intermediate node receives
> Path Refresh?
> 2. If Not, then what it should do, when there is a change in 
> ERO object
> received in this Path Refresh than the ERO Object received in earlier
> Path Messages..
> 
> Thanks,
> Khuzema.
> 
############################################################################
########################## This email communication may contain CONFIDENTIAL
INFORMATION and is intended only for the use of the intended recipients
identified above.  If you are not the intended recipient of this
communication, you must not use, disclose, distribute, copy or print this
email. If you have received this communication in error, please immediately
notify the sender by reply email, delete the communication and destroy all
copies.
############################################################################
##########################

---

From: David Charlap <[email-masked]>
Date: Thu, 04 Oct 2001 15:55:26 -0400

Girish Bhat wrote:
> 
> I don't think the ERO needs to be processed with every refresh.
> When the ERO changes, the source node creates a new path message
> with the same session id but a different lsp id. Note that path
> refreshes are sent along the old path with the old lsp id till the
> new path gets established. Once the resv message comes back along
> the new path, the old path is torn.

You've just described make-before-break.  This is the way ingress nodes
are supposed to do the rerouting.

But a transit router should not assume that it will work this way. 
There may be broken routers out there.  You still must be prepared to
handle the case where the ERO changes, even if your switch isn't capable
of anything more than generating a PathErr.

If the ERO changes, you should assume that the ingress node changed it
for a reason and that this is not some weird manifestation of line
noise.  To ignore the change and continue sending out Path messages to
the old next-hop with the old ERO is broken behavior.

-- David